makeup|SDK makeup|SDK is a library based on visage|SDK face tracking used to configure and render virtual makeup.

Loading...
Searching...
No Matches
Instance Methods | List of all members
MakeUpEngine Class Reference

`#import <MakeupEngine.h>`

Inheritance diagram for MakeUpEngine:

## Instance Methods
(void) | - AddObserver:
(void) | - CreateMakeUp:featureTemplate:
(void) | - CreateMakeUp:featureTemplate:finishTemplate:
(void) | - DisplayMakeUp:
(void) | - UpdateMakeUp:
(void) | - ClearMakeUp
(void) | - HideMakeUp:
(void) | - RemoveMakeUp:
Instance Methods inherited from MakeupEngine
(void) | - AddObserver:
(FeatureTemplateRepository *) | - GetFeatures
(void) | - CreateMakeup:featureTemplate:
(void) | - CreateMakeup:featureTemplate:finishTemplate:
(void) | - DisplayMakeup:
(void) | - UpdateMakeup:
(void) | - ClearMakeup
(void) | - HideMakeup:
(void) | - RemoveMakeup:
(void) | - Reset
(void) | - SetCameraDevice:
(FinishTemplateRepository *) | - GetFinishes
(UIView *) | - GetView
| Retrieve surface that displays the resulting output of the makeup engine. Resizing of the surface is tied to the quality of the rendering pipeline. Higher resolutions give better fidelity but at the cost of performance. For the highest quality keep the aspect ratio of input images and the surface similar.

## Detailed Description

Deprecated:
  Please use `MakeupEngine` method instead.

This class is part of the SDK's core functionality.
It primarily serves two key functions:
Manipulating the current output of the view throught creating, displaying, updating, hiding, and removing makeup effects.
Exposure of FeatureTemplateRepository and FinishTemplateRepository deserialized from Feature.json and finishes.json files.

## Method Documentation

## ◆ AddObserver:

- (void) AddObserver: |  | (id< IMakeUpObserver >) | observer |

Deprecated:
  Please use AddObserver: (MakeupEngine) method instead.

Attaches observer to the engine. IMakeUpObserver is used to obtain event notifications from the engine.

Parameters

  observer | Instance of IMakeUpObserver

## ◆ ClearMakeUp

- (void) ClearMakeUp |  |  |

Deprecated:
  Please use `ClearMakeup` method instead.

Destroys all created makeup effects.

## ◆ CreateMakeUp:featureTemplate:

- (void) CreateMakeUp: |  | (FeatureTemplate *) |
featureTemplate: |  | (FinishTemplate *) | finishTemplate

Deprecated:
  Please use `CreateMakeup` method instead.

Creates makeup effect from given feature and finish templates. Returns the id of the created effect via IMakeUpObserver interface.

Parameters

  featureTemplate | FeatureTemplate object
  finishTemplate | FinishTemplate object

## ◆ CreateMakeUp:featureTemplate:finishTemplate:

- (void) CreateMakeUp: |  | (FeatureTemplate *) |
featureTemplate: |  | (FinishTemplate *) |
finishTemplate: |  | (NSArray *) | boundingBox

Creates makeup effect from given feature and finish templates. Additionally, this function takes an array of NSNumbers specifying a bounding box in the following way:

- Lower left x coordinate is the first element of the array
- Lower left y coordinate is the second element of the array
- Upper right x coordinate is the third element of the array
- Upper right y coordinate is the fourth element of the array Bounding box is set in normalized image coordinates where point (0.0, 0.0) is the lower left corner of the output image while point (1.0, 1.0) is the upper right corner of the output image. This effect will be visible only when its location in the output image is inside of the bounding box. The default bounding box is contains the whole output image. If the input array has less than 4 elements, the default bounding box will be used. Returns the id of the created effect via IMakeUpObserver interface.
  Parameters

    featureTemplate | FeatureTemplate object
    finishTemplate | FinishTemplate object
    boundingBox | Quuartet specifying bounding box in which this effect is visible

## ◆ DisplayMakeUp:

- (void) DisplayMakeUp: |  | (Effect *) | effect |

Deprecated:
  Please use `DisplayMakeup` method instead.

Displays given makeup effect.

Parameters

  effect | makeup effect

## ◆ HideMakeUp:

- (void) HideMakeUp: |  | (Effect *) | effect |

Deprecated:
  Please use `HideMakeup` method instead.

Hides given makeup effect.

Parameters

  effect | makeup effect

## ◆ RemoveMakeUp:

- (void) RemoveMakeUp: |  | (Effect *) | effect |

Deprecated:
  Please use `RemoveMakeup` method instead.

Destroys given makeup effect.

Parameters

  effect | makeup effect

## ◆ UpdateMakeUp:

- (void) UpdateMakeUp: |  | (Effect *) | effect |

Deprecated:
  Please use `UpdateMakeup` method instead.

Updates given makeup effect.

Parameters

  effect | makeup effect